Upgrade Your WordPress Software to 2.3.2 Now

That is the message coming from WordPress.org.  The former version of WordPress, version 2.3.2, had some serious security issues that are supposedly addressed in 2.3.2.

Here is the note from the WordPress Development team

WordPress 2.3.2 is an urgent security release that fixes a bug that can be used to expose your draft posts. 2.3.2 also suppresses some error messages that can give away information about your database table structure and limits and stops some information leaks in the XML-RPC and APP implementations. Get 2.3.2 now to protect your blog from these disclosures.

As a little bonus, 2.3.2 allows you to define a custom DB error page. Place your custom template at wp-content/db-error.php. If WP has a problem connecting to your database, this page will displayed rather than the default error message.

For more detail on what’s new in 2.3.2, view the list of fixed bugs and see the changes between 2.3.1 and 2.3.2.

This latest release sounds a little more ominous than usual and so I’m walking through each of my blogs pushing out an update/upgrade as this sounds like more of a fix than the typical call for vitamins for women and men that usually seems to be pushed out from WordPress.org where so many upgrades and updates are offered that it almost seems as if they are having you update just for the sake of checking their site on a regular basis (I know that that is not the case, but the sheer number seems nuts sometimes.)

One thought on “Upgrade Your WordPress Software to 2.3.2 Now”

Comments are closed.